[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Math' (#rtl)

# SetRoundMode

Set the Floating Point Unit rounding mode.

## Declaration

Source position: math.pp line 662

`function SetRoundMode(`
`const RoundMode: TFPURoundingMode`
`):TFPURoundingMode;`

## Description

SetRoundMode sets the floating point unit rounding mode. It also returns the previous rounding mode.

rmNearest
  Round to nearest integer
rmDown
  Round to biggest integer smaller than value.
rmUp
  Round to smallest integer larger than value
rmTruncate
  Cut off fractional part

## See also

GetRoundMode |  | Return the Floating Point Unit rounding mode.
TFPURoundingMode |  | Type describing the rounding mode for the Floating Point processor.